Page MenuHomePhabricator

[Task] Replace stuff in WikibaseRepo hooks with mechanism in core for disabling direct editing of content types
Closed, ResolvedPublic

Description

We should replace the hacks (use of ApiCheckCanExecute and mobile frontend hooks) in WikibaseRepo hooks with some mechanism in core for disabling direct editing of content types.

Event Timeline

aude created this task.Apr 17 2015, 3:54 PM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Needs Triage.
aude claimed this task.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2015, 3:54 PM
aude set Security to None.

Change 204230 had a related patch set uploaded (by Aude):
Add supportsDirectEditing methods to ContentHandler

https://gerrit.wikimedia.org/r/204230

aude added a comment.Apr 17 2015, 3:57 PM

first step is to add the mechanism in core, which is what https://gerrit.wikimedia.org/r/204230 does

then we can remove the ApiCheckCanExecute hook stuff in Wikibase

for mobile, adapt it to use the new mechanism, probably with a method_exists check on ContentHandler, assuming they care about backwards compatibility. then we don't need the SkinMinvera hook code in Wikibase.

aude moved this task from Doing to Review on the Wikidata-Sprint-2015-04-07 board.Apr 18 2015, 9:08 AM
aude triaged this task as Normal priority.Apr 18 2015, 9:11 AM

Change 204230 merged by jenkins-bot:
Add supportsDirectEditing methods to ContentHandler

https://gerrit.wikimedia.org/r/204230

daniel added a subscriber: daniel.Apr 20 2015, 7:09 PM

Core patch is merged. Wikibase patch for using the new logic is pending.

daniel moved this task from Review to Backlog on the Wikidata-Sprint-2015-04-07 board.

Patch for mobile is also still pending.

JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 15 2015, 7:54 PM
Addshore added a subscriber: Addshore.EditedJun 8 2015, 11:23 AM

The core patch means that edits to wikibase items can no longer be undone through the API T101694

aude renamed this task from Replace stuff in WikibaseRepo hooks with mechanism in core for disabling direct editing of content types to [Task] Replace stuff in WikibaseRepo hooks with mechanism in core for disabling direct editing of content types.Aug 13 2015, 8:27 PM
Addshore closed this task as Resolved.Sep 18 2018, 12:52 PM